List products

GET

GET https://external-api.lia.com.br/external_api/v1/products

Body params

NameDescriptionRequiredType
searchSearch product by namefalseString
sort_bySort your results by asc or descfalseString
availabilityFilter your products by availability, can be enabled, disabled or expiredfalseString
pageNumber of the page you wantfalseInteger
per_pageTotal items per pagefalseInteger

Example request

curl --location 'https://external-api-sandbox.lia.com.br/external_api/v1/products' \
--header 'Authorization: Bearer token' \
--data ''

Example response

{
  "results": [
    {
      "id": "8538ab61-1c4f-404b-8cfe-0dbab2bedc09",
      "name": "Mentoria",
      "full_amount_cents": 299700,
      "full_amount_currency": "BRL",
      "created_at": "2023-09-21T14:30:07.673-03:00",
      "description": null,
      "availability": "enabled",
      "duration_in_hours": null,
      "access_period": "days",
      "duration_in_days": 90,
      "start_date": null,
      "end_date": null,
      "meta_pixel_code": "",
      "google_pixel_code": "",
      "banner_url": null,
      "updated_at": "2023-09-21T14:30:07.673-03:00",
      "metadata": {},
      "company_id": "6cdfdd04-ab2d-48ef-81bf-3e53ebc5644a",
      "formatted_access_period": "90 dias",
      "kind": {
        "id": "bba09b78-6d27-449a-a67a-cbe207f39f83",
        "name": "Mentoria"
      },
      "shift": {
        "id": "7b062161-db67-4ae4-b591-1ee242dcebb",
        "name": "Turno Matutino"
      },
      "offers": [
        {
          "id": "f429f9de-7f34-4957-93ef-ba9d773be7c5",
          "name": "Cartão de Crédito",
          "amount_cents": 299700,
          "amount_currency": "BRL",
          "availability": "enabled",
          "created_at": "2023-09-21T14:30:46.636-03:00",
          "updated_at": "2023-09-21T14:30:46.636-03:00",
          "url": "https://pague.lia.com.br/lia/oferta?offer_id=f429f9de-7f34-4957-93ef-ba9d773be7c5",
          "smart_payment_enabled": false,
          "checkout_type": "default"
        }
      ]
    },
    {
      "id": "2aadd8da-a288-4031-a993-20237d6b140e",
      "name": "Retratista",
      "full_amount_cents": 49700,
      "full_amount_currency": "BRL",
      "created_at": "2023-05-11T13:17:42.994-03:00",
      "description": "",
      "availability": "enabled",
      "duration_in_hours": 0,
      "access_period": "lifetime",
      "duration_in_days": null,
      "start_date": null,
      "end_date": null,
      "meta_pixel_code": "",
      "google_pixel_code": "",
      "banner_url": null,
      "updated_at": "2023-09-26T15:53:05.663-03:00",
      "metadata": {},
      "company_id": "6cdfdd04-ab2d-48ef-81bf-3e53ebc5644a",
      "formatted_access_period": "Vitalício",
      "kind": {
        "id": "9e76bdc3-aba3-4691-acb8-c0c0b2e5c315",
        "name": "Curso"
      },
      "shift": {
        "id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
        "name": "Online"
      },
      "offers": [
        {
          "id": "440d4789-fdb3-4d71-92d7-bb57a47e0d13",
          "name": "Cartão e boleto parcelado",
          "amount_cents": 49700,
          "amount_currency": "BRL",
          "availability": "enabled",
          "created_at": "2023-07-03T15:12:28.034-03:00",
          "updated_at": "2023-10-13T17:38:39.518-03:00",
          "url": "https://pague.lia.com.br/lia/oferta?offer_id=440d4789-fdb3-4d71-92d7-bb57a47e0d13",
          "smart_payment_enabled": false,
          "checkout_type": "default"
        },
        {
          "id": "4d3e5ced-509e-4c37-a6bc-e5a9165b025b",
          "name": "Cartão Parcelado",
          "amount_cents": 49700,
          "amount_currency": "BRL",
          "availability": "enabled",
          "created_at": "2023-05-11T16:41:44.694-03:00",
          "updated_at": "2023-09-21T13:41:58.608-03:00",
          "url": "https://pague.lia.com.br/lia/oferta?offer_id=4d3e5ced-509e-4c37-a6bc-e5a9165b025b",
          "smart_payment_enabled": false,
          "checkout_type": "default"
        }
      ]
    }
  ],
  "total_items": 2,
  "total_pages": 1
}